package com.yidianling.im.session.viewholder

import android.widget.TextView
import com.yidianling.im.R
import com.yidianling.im.session.extension.CustomAttachmentInquiryEnd
import com.yidianling.im.session.extension.CustomAttachmentInquiryStart
import com.yidianling.nimbase.common.ui.recyclerview.adapter.BaseMultiItemFetchLoadAdapter
import com.yidianling.uikit.business.session.viewholder.MsgViewHolderBase

/**
 * 接诊通知 消息  页面
 */
class MsgViewHolderInquiryStart(adapter: BaseMultiItemFetchLoadAdapter<*, *>?) :
    MsgViewHolderBase(adapter) {

    private var content: TextView? = null
    var itemBean: CustomAttachmentInquiryStart? = null
    override fun getContentResId(): Int {
        return R.layout.im_nim_inquiry_end_layout
    }

    override fun inflateContentView() {
        content = findViewById(R.id.content)
    }

    override fun bindContentView() {
        itemBean = message.attachment as CustomAttachmentInquiryStart
        content?.text = itemBean!!.fromContent

        hideItemBg()
        setAvatarRightInVisibity()
        setAvatarLeftInVisibity()

    }
}